Skip to main content
PUT

Update waybill tracking information

Scope:inventory:shipments.write
https://api.holded.com/api/v2/waybills/{waybillId}/tracking

Updates the shipment tracking information for a waybill. You can set the carrier name, tracking number, pickup date, expected delivery date, and internal notes. This information is included when you send the waybill by email.

Parameters

Path parameters

waybillIdstringrequired

Waybill ID (24-char hex ObjectId)

Request body

object
tracking_keystring | null

Carrier identifier key

tracking_namestring | null

Name of the shipping carrier

tracking_numberstring | null

Shipment tracking number

pickup_datestring<date> | null

Scheduled pickup date in ISO 8601 format

delivery_datestring<date> | null

Scheduled delivery date in ISO 8601 format

internal_notesstring | null

Internal notes about the shipment

Request

python
import requests

url = "https://api.holded.com/api/v2/waybills/{waybillId}/tracking"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "tracking_key": "string",
    "tracking_name": "string",
    "tracking_number": "string",
    "pickup_date": "2024-01-15",
    "delivery_date": "2024-01-15",
    "internal_notes": "string"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Success responses

200Tracking information updated

Error responses

400Bad requestapplication/json
401Invalid or missing API keyapplication/json
403Insufficient permissionsapplication/json
404Waybill not foundapplication/json
429Rate limit exceededapplication/json